Skip Navigation Links

Post Comment Reactions

Get a Comment's Reactions

Requires authentication via bearer.

Returns a paginated list of the reactions on a comment, one item per reacting user. Supports filtering by reaction emoji, searching by the reacting user's first name, last name, or department, and cursor-based pagination.

Path Params

comment_id stringrequired

The primary identifier of the comment to access.

Query Params

embed string[]

Options for embedding additional data into reaction responses:

  • USER: Includes the reacting user's profile in the user field of each reaction.
unicode_reactions string[]
sort string[]

Sort options for reactions. Each option has ascending (_ASC) and descending (_DESC) variants:

  • FIRSTNAME: Sort by the reacting user's first name alphabetically.
  • LASTNAME: Sort by the reacting user's last name alphabetically.
search_term string

To perform searches, provide a string value. The value should consist of one or more tokens, separated by white spaces or the | character. Each token represents a search criterion that must match case-insensitively in at least one searchable field. If multiple tokens are included, they are combined using the logical OR operator. This means that the results will include items where at least one of the tokens matches in any of the searchable fields.

page_cursor string

A cursor pointing to the first item to be contained in the response array. Refer to our general "pagination" concept for more information.

page_limit integer

The maximum number of items to be contained in the response array. Refer to our general "pagination" concept for more information.

Response Body

200 OK

Error Codes

  • POST_NOT_FOUND
  • POST_ACCESS_DENIED
  • COMMENT_NOT_FOUND
  • REACTIONS_DISABLED
  • INVALID_UNICODE_REACTION
  • UNICODE_REACTIONS_LIMIT_EXCEEDED

Add a Reaction to a Comment

Requires authentication via bearer.

Add a reaction to a comment as the current user.

Path Params

comment_id stringrequired

The primary identifier of the comment to access.

Request Body

type string
unicode_reaction string

Present when type is UNICODE; the concrete emoji string.

Response Body

201 Created

Error Codes

  • POST_NOT_FOUND
  • POST_ACCESS_DENIED
  • COMMENT_NOT_FOUND
  • REACTIONS_DISABLED
  • INVALID_UNICODE_REACTION
  • UNICODE_REACTIONS_LIMIT_EXCEEDED

Remove a Reaction from a Comment

Requires authentication via bearer.

Remove the current user's reaction from a comment.

Path Params

comment_id stringrequired

The primary identifier of the comment to access.

Response Body

204 No Content

Error Codes

  • POST_NOT_FOUND
  • POST_ACCESS_DENIED
  • COMMENT_NOT_FOUND
  • REACTIONS_DISABLED
  • INVALID_UNICODE_REACTION
  • UNICODE_REACTIONS_LIMIT_EXCEEDED